Background Image

DOCUMENTATION

Votes 0 Comment 0
?

Shortcut

PrevPrev Article

NextNext Article

Larger Font Smaller Font Up Down Go comment Print
CUBRID 11.2 Patch 4 has been released.

In this release, issues found after 11.2.3 released have been fixed.

1. Improvement and Fix
  [HA]
  - If you cannot use the ping command in the HA environment, it provides a alternative method. (see the setting value ha_tcp_ping_hosts)
  - Modified so that 0.0.0.0 cannot be used in Ha_Ping_hosts in HA environment.
  - In the HA environment, when loading a large amount of data using Loaddb -C, fixed an error that are not replicated to Slave.(Note: When using Loaddb -C, the table with FK must first load the table that the FK references. According to the order of loading, it may occur that cannot be replicated to slave.)
  - Fixed an error that do not apply to the value of the backup_dest_path variable in the ha_make_slavedb.sh script.

  [SQL]
  - Error correction of duplicate output of query results using DB_VCLASS(VIEW).(Note: The VIEW query spec in the system catalog has been modified, which may occur the same error when using the previous version of DB)
  - Improved that column types set to AUTO-INCREMENT properties cannot be changed to a type that does not support AUTO-INCREMENT.
  - Fixed a segment fault that occurred when using the dblink() function in a DELETE/UPDATE syntax.
  - Fixed a segment fault that occurred when using the alter server.
  - Fixed an error that changed the result due to the limit clause when using USE_DESC_IDX hint.
  - Modified to remove the existing default value when changing the data type to an ALTER COLUMN.
  - Fixed an error in which the ROWNUM value is incorrectly output by View merging in a specific environment.
  - Fixed an error that do not work correctly by the Hash list scan when VOBJECT is included in the predicate of the query.
  - Fixed a segment fault that occurred when using Covered index scan in a CONNECT BY query.
  - Fixed an error of -1042(concat string size max size) that occurred when performing a string concat query in a specific environment.
  - Fixed an error caused by the failure to remove the predicate '1=1' generated by constant folding during MRO(Multiple Key Ranges Optimization).
  - Fixed a segment fault that occurred when using a specific built-in function in the CONNECT BY clause.

  [javasp]
  - Fixed an error in which the error of the query used in JavaSP did not pass.
  - Upgraded to the modified version of the fd leak of the junixsocket library used by Javasp.
  - Fixed an error that occurred when the total size of bind factors exceeded 4096 bytes when using server-side JDBC(default connection) in javasp.
  - When using loadjava -y, it has been modified to operate with dynamic loading.(A UnsatisfiedLinkError error may occur using jni in javasp during dynamic loading. cubrid javasp restart is required if this error occurs.)
  - Fixed an error that returned the wrong results by the incorrect cache initialization in Javasp.

  [Windows]
  - Fixed an error in which the CURSOR returned by javasp in a Windows environment dose not work normal.
  - Improves the processing of absolute paths in linux format among set values in a Windows environment.
  - Fixed an error that did not generate demodb during installation in a Windows environment.
  - Fixed an error that do not progress on reinstallation after installation interruption in a window environment.

  [etc]
  - Fixed a segment fault caused by invalid tde_default_algorithm setting.
  - Modified the manager server to process the information in statdump to 64bits.
  - Fixed a segment fault that occurred during Unloaddb in the ubuntu-based OS.
  - Fixed a segment fault that occurred while reading LOG_REDO data when using Flashback.

  Please refer to the 11.2.4 change logs(https://github.com/CUBRID/cubrid/releases/tag/v11.2.4) for details.

2. Precautions
  - When using heterogeneous(Oracle/MySQL) DBLINK, you must use ODBC Drvier for Unicode of Oracle/MySQL.

3. Environmental Requirements
  - Linux: 64bit, kernel 2.4 or higher, Windows: Windows7 or higher (Windows 7 requires the latest security updates)
  - JRE 1.8 or higher is required when using JSP or CUBRID Admin/CUBRID Manager

4. Download
  - Product download : https://www.cubrid.org/downloads

List of Articles
No. Category Subject Date
57 Tool CUBRID Admin 11.0.0.0001 Released 2021.07.16
56 Tool CUBRID Manager 11.0.0.0001 Released 2021.07.16
55 Engine CUBRID 10.2 Patch 4 Released 2021.07.28
54 Engine CUBRID 11.0 Patch 2 Released 2021.07.28
53 Engine CUBRID 10.2 Patch 5 Released 2021.10.14
52 Engine CUBRID 11.0 Patch 3 Released 2021.10.14
51 Engine CUBRID 11.0 Patch 4 Released 2021.10.29
50 Tool CUBRID Migration Toolkit 11.0.0.0002 Released 2021.11.10
49 Engine CUBRID 11.0 Patch 5 Released 2021.12.02
48 Engine CUBRID 10.2 Patch 6 Released 2021.12.17
Board Pagination Prev 1 2 3 4 5 6 7 8 9 Next
/ 9

Join the CUBRID Project on